# Uses of Interface
java.util.stream.Gatherer.Downstream

Packages that use Gatherer.Downstream
Package
Description
java.util.stream
Classes to support functional-style operations on streams of elements, such as map-reduce transformations on collections.

## Uses of Gatherer.Downstream in java.util.stream

Methods in java.util.stream that return types with arguments of type Gatherer.Downstream
Modifier and Type
Method
Description
`static <A,R> BiConsumer<A, Gatherer.Downstream<? super R>>`
Gatherer.`defaultFinisher()`
Returns a `finisher` which is the default finisher of a `Gatherer`.
`default BiConsumer<A, Gatherer.Downstream<? super R>>`
Gatherer.`finisher()`
A function which accepts the final intermediate state and a `Gatherer.Downstream` object, allowing to perform a final action at the end of input elements.
Methods in java.util.stream with parameters of type Gatherer.Downstream
Modifier and Type
Method
Description
`boolean`
Gatherer.Integrator.`integrate(A state, T element, Gatherer.Downstream<? super R> downstream)`
Performs an action given: the current state, the next element, and a downstream object; potentially inspecting and/or updating the state, optionally sending any number of elements downstream -- and then returns whether more elements are to be consumed or not.
Method parameters in java.util.stream with type arguments of type Gatherer.Downstream
Modifier and Type
Method
Description
`static <T,A,R> Gatherer<T,A,R>`
Gatherer.`of(Supplier<A> initializer, Gatherer.Integrator<A,T,R> integrator, BinaryOperator<A> combiner, BiConsumer<A, Gatherer.Downstream<? super R>> finisher)`
Returns a new, parallelizable, `Gatherer` described by the given `initializer`, `integrator`, `combiner` and `finisher`.
`static <T,R> Gatherer<T,Void,R>`
Gatherer.`of(Gatherer.Integrator<Void,T,R> integrator, BiConsumer<Void, Gatherer.Downstream<? super R>> finisher)`
Returns a new, parallelizable, and stateless `Gatherer` described by the given `integrator` and `finisher`.
`static <T,A,R> Gatherer<T,A,R>`
Gatherer.`ofSequential(Supplier<A> initializer, Gatherer.Integrator<A,T,R> integrator, BiConsumer<A, Gatherer.Downstream<? super R>> finisher)`
Returns a new, sequential, `Gatherer` described by the given `initializer`, `integrator`, and `finisher`.
`static <T,R> Gatherer<T,Void,R>`
Gatherer.`ofSequential(Gatherer.Integrator<Void,T,R> integrator, BiConsumer<Void, Gatherer.Downstream<? super R>> finisher)`
Returns a new, sequential, and stateless `Gatherer` described by the given `integrator` and `finisher`.